org.eclipse.swt.graphics

## Class PathData

- java.lang.Object
- - org.eclipse.swt.graphics.PathData

    public final class PathData
    extends java.lang.Object

Instances of this class describe device-independent paths.

Since:
  2.1
See Also:
  `Path`

### Field Summary

Fields
`float[]` `points` The points of a path.
`byte[]` `types` The type of each point.

### Constructor Summary

Constructors
Constructor and Description
`PathData()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### types

    public byte[] types

The type of each point.

#### points

    public float[] points

The points of a path.

### Constructor Detail

#### PathData

    public PathData()

Copyright (c) EclipseSource and others 2002, 2016. All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0